%define pypi_name django-appconf

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        %mkrel 1
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python

License:        BSD
URL:            https://pypi.python.org/pypi/django-appconf
Source0:        https://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# for docs
BuildRequires:	python3-sphinx
BuildRequires:	python3-django

%description
A helper class for handling configuration defaults of packaged Django apps
gracefully.

%package -n python3-%{pypi_name}
Summary:        A helper class for handling configuration defaults of packaged apps gracefully
Group:          Development/Python
Requires:       python3-django

%description -n python3-%{pypi_name}
A helper class for handling configuration defaults of packaged Django apps
gracefully.

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

# generate html docs
sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

# checks fail in mock
#%check
#%{__python} setup.py test

%files -n python3-%{pypi_name}
%doc html README.rst
%license LICENSE
%{python3_sitelib}/appconf/
%{python3_sitelib}/django_appconf-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 1.0.6-1.mga10
+ Revision: 2036157
- new version 1.0.6

* Tue Mar 29 2022 umeabot <umeabot> 1.0.5-2.mga9
+ Revision: 1833351
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 1.0.5-1.mga9
+ Revision: 1785174
- version 1.0.5
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.0.3-4.mga9
+ Revision: 1733157
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.3-3.mga8
+ Revision: 1535247
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.0.3-2.mga8
+ Revision: 1451699
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 1.0.3-1.mga8
+ Revision: 1430732
- new version 1.0.3

* Tue Jan 08 2019 shlomif <shlomif> 1.0.2-1.mga7
+ Revision: 1352471
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.1-4.mga7
+ Revision: 1288680
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0.1-3.mga7
+ Revision: 1135373
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.0.1-2.mga6
+ Revision: 971189
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 889709
- update to 1.0.1, add python3

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 745194
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-6.mga5
+ Revision: 728270
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 687969
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 543122
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6-2.mga4
+ Revision: 498363
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Aug 27 2013 philippem <philippem> 0.6-1.mga4
+ Revision: 472308
- imported package python-django-appconf

